[property]
;POVINNA
id.column='id'
id.type='string'

nemovitost_cena_prodej.column = 'price'
nemovitost_cena_prodej.type = 'int'
nemovitost_cena_prodej.unset = '@zakazka_typ ==1 ? @null : @_convertedValue'

nemovitost_cena_pronajem.column = 'price'
nemovitost_cena_pronajem.type = 'int'
nemovitost_cena_pronajem.unset = '@zakazka_typ ==2 ? @null : @_convertedValue'

zakazka_typ.column='status'
zakazka_typ.type='int'

nemovitost_podlazi_cislo.column='floor'
nemovitost_podlazi_cislo.type=int
nemovitost_podlazi_cislo.convert.-1=-10
nemovitost_podlazi_cislo.convert.0=1
nemovitost_podlazi_cislo.convert.1=1
nemovitost_podlazi_cislo.convert.2=10
nemovitost_podlazi_cislo.convert.3=20
nemovitost_podlazi_cislo.convert.4=30
nemovitost_podlazi_cislo.convert.5=40
nemovitost_podlazi_cislo.convert.6=50
nemovitost_podlazi_cislo.convert.7=60
nemovitost_podlazi_cislo.convert.8=70
nemovitost_podlazi_cislo.convert.9=80
nemovitost_podlazi_cislo.convert.10=90
nemovitost_podlazi_cislo.convert.11=100
nemovitost_podlazi_cislo.value='"@nemovitost_podlazi_cislo" > 11 ? 1000 : @this'

nemovitost_uir_obec_kod.column='city_code'
nemovitost_uir_obec_kod.type='int'

;rozepsaný switch na typ budovy
nemovitost_typ.column='property_type'
nemovitost_typ.type='int'
nemovitost_typ.convert.1=13
nemovitost_typ.convert.2=12
nemovitost_typ.convert.3=8
nemovitost_typ.convert.4=2
nemovitost_typ.convert.5=6
nemovitost_typ.convert.6=15
nemovitost_typ.convert.7=16
nemovitost_typ.convert.8=1
nemovitost_typ.convert.9=12
nemovitost_typ.convert.10=5
nemovitost_typ.convert.11=14

nemovitost_druh_prostor.column='property_type'
nemovitost_druh_prostor.type='int'
nemovitost_druh_prostor.convert.1=11
nemovitost_druh_prostor.convert.2=9
nemovitost_druh_prostor.convert.3=19
nemovitost_druh_prostor.unset='@nemovitost_typ==9 and inList<@this,1,2,3> ? @null : @_convertedValue'

nemovitost_typ_zarizeni.column='property_type'
nemovitost_typ_zarizeni.type=int
nemovitost_typ_zarizeni.value=10
nemovitost_typ_zarizeni.unset='@nemovitost_typ==7 and @this==3 ? @null : @_convertedValue'

obchodak.column='property_type'
obchodak.type='int'
obchodak.value=9
obchodak.unset='@nemovitost_typ==2 and inList<@nemovitost_ucel_budovy,2,3> ? @null : @_convertedValue'

panelacek.column='property_type'
panelacek.type=int
panelacek.value='3'
panelacek.unset='@nemovitost_typ==4 and @nemovitost_druh_objektu==5 ? @null : @_convertedValue'
;konec switche

;NEPOVINNA
nemovitost_rok_vystavby.column='year_built'
nemovitost_rok_vystavby.type='int'
;neberou nemovitosti starsi nez rok 1500 n.l.
nemovitost_rok_vystavby.unset='"@this" > 1500 ? @null : @_convertedValue'

nemovitost_pocet_podlazi.column='num_floors'
nemovitost_pocet_podlazi.type='int'

vytah.column='elevator'
vytah.type='bool'
vytah.value='substr<@nemovitost_ostatni,4,1> ? true : false'
;TODO boolean ve tvaru true/false

[description]
description_type.column='description_type'
description_type.type='int'
description_type.value=0

description_lang.column='description_lang'
description_lang.value='hu'
description_lang.noCDATA=true


nemovitost_popis_detailni.column='description_text'
nemovitost_popis_detailni.type='string'

[agent]
agent_name.column='agent_name'
agent_name.type='string'
agent_name.value='@uzivatel_os_prijmeni @uzivatel_os_jmeno'

telefon.column='agent_phone'
telefon.type='string'

email.column='agent_email'
email.type='string'

[office]
;TODO
agent_name.column='office_name'
agent_name.type='string'
agent_name.value='@uzivatel_os_prijmeni @uzivatel_os_jmeno'

telefon.column='office_phone'
telefon.type='string'

email.column='office_email'
email.type='string'
